Public Member Functions | Public Attributes | List of all members
clan::LineSegment3x< Type > Class Template Reference
clanCore Math

3D line segment More...

`#include <line_segment.h>`

## Public Member Functions
| LineSegment3x ()
| LineSegment3x (const LineSegment3x< Type > &copy)
| LineSegment3x (const Vec3< Type > &point_p, const Vec3< Type > &point_q)
Attributes
Vec3< Type > | get_midpoint () const
| Get the midpoint of this line. More...
Type | point_distance (const Vec3< Type > &point, Vec3< Type > &dest_intercept) const
| Calculate the distance from a line segment to a point. More...
Operators
LineSegment3x< Type > & | operator= (const LineSegment3x< Type > &copy)
| = operator. More...
bool | operator== (const LineSegment3x< Type > &line) const
| == operator. More...
bool | operator!= (const LineSegment3x< Type > &line) const
| != operator. More...

## Public Attributes
Vec3< Type > | p
| Start point on the line. More...
Vec3< Type > | q

## Detailed Description

### template<typename Type>
class clan::LineSegment3x< Type >

3D line segment

A line segment has a start point and an end point
These line templates are defined for: int (LineSegment3), float (LineSegment3f), double (LineSegment3d)

The documentation for this class was generated from the following file:

- line_segment.h